Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.feature
Interface FeatureListener

All Superinterfaces:
  EventListener

Deprecated. Removed pending a redesign of feature storage interfaces

    @Deprecated
    public interface FeatureListener

extends EventListener

The listener interface for receiving feature events.

Since:
  GeoAPI 2.0

Method Summary
`void` | `featuresAdded(FeatureEvent e)` Deprecated. Invoked if features were added to or became members of a collection we are listening to.
`void` | `featuresChanged(FeatureEvent e)` Deprecated. Invoked if the values of the attributes of features changed.
`void` | `featuresRemoved(FeatureEvent e)` Deprecated. Invoked if features were removed from or no longer members of a collection we are listening to.

Method Detail

### featuresAdded

    void featuresAdded(FeatureEvent e)

  Deprecated.
  Invoked if features were added to or became members of a collection we are listening to.

### featuresRemoved

    void featuresRemoved(FeatureEvent e)

  Deprecated.
  Invoked if features were removed from or no longer members of a collection we are listening to.

### featuresChanged

    void featuresChanged(FeatureEvent e)

  Deprecated.
  Invoked if the values of the attributes of features changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.